Std SelBoundingBox/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[Std_DrawStyle/ru|Std DrawStyle]]
|[[Std_DrawStyle/ru|Меню "Стиль представления"]]
|[[Std_ViewIvStereoRedGreen/ru|Std ViewIvStereoRedGreen]]
|[[Std_ViewIvStereoRedGreen/ru|Команда "Стерео красный/голубой"]]
|[[Std_View_Menu/ru|Std View Menu]]
|[[Std_View_Menu/ru|Меню "Вид"]]
|IconL=Std_DrawStyle.svg
|IconL=Std_DrawStyle.svg
|IconR=Std_ViewIvStereoRedGreen.svg
|IconR=Std_ViewIvStereoRedGreen.svg
|IconC=Freecad.svg
|IconC=Freecad.svg
}}
}}
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">

Revision as of 20:42, 4 August 2021

Other languages:

Std SelBoundingBox

Системное название
Std SelBoundingBox
Расположение в меню
Вид → Bounding box
Верстаки
All
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Std DrawStyle

Описание

The Std SelBoundingBox command toggles the global bounding box highlighting mode. If this mode is switched on, selected objects are marked in a 3D view with a highlighted bounding box even if their ВидSelection Style is set to 'Shape'.

Использование

  1. There are several ways to invoke the command:
    • Press the Std SelBoundingBox button.
    • Select the View → Bounding box option from the menu.

Настройки

The related setting is stored: Tools → Edit parameters... → BaseApp → Preferences → View → ShowSelectionBoundingBox. It is a boolean value, the default is false.

Scripting

Смотрите так же: Основы составления скриптов в FreeCAD.

To change the ShowSelectionBoundingBox setting use the SetBool method of the appropriate ParameterGrp. The code sample does not work if FreeCAD is in console mode.

import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet('User parameter:BaseApp/Preferences/View')
if grp.GetBool('ShowSelectionBoundingBox'):
  grp.SetBool('ShowSelectionBoundingBox',False)
else:
  grp.SetBool('ShowSelectionBoundingBox',True)

FreeCADGui.updateCommands()